# vim: ft=sls
---
{% from "forgejo/map.jinja" import forgejo with context %}

forgejo-config:
  file.managed:
    - name: {{ forgejo.configfile }}
    - source: salt://forgejo/templates/app.ini.j2
    - template: jinja
    - user: {{ forgejo.user }}
    - group: {{ forgejo.group }}
    - mode: 600
    - makedirs: true
    - require:
      - git
